# $Revision: 1.7 $, $Date: 2010/07/12 22:45:09 $
Summary:	libv4l
Name:		libv4l
Version:	0.6.4
Release:	1
License:	GPL v2
Group:		Applications
Source0:	http://people.fedoraproject.org/~jwrdegoede/%{name}-%{version}.tar.gz
# Source0-md5:	7ef58595dc36252be7f83f69b379a715
URL:		http://hansdegoede.livejournal.com/3636.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libv4l is a collection of libraries which adds a thin abstraction
layer on top of video4linux2 devices. The purpose of this (thin) layer
is to make it easy for application writers to support a wide variety
of devices without having to write seperate code for different devices
in the same class.

%package devel
Summary:	Header files for libv4l library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libv4l library.

%prep
%setup -q
%if "%{pld_release}" == "ac"
%{__sed} -i 's/-fvisibility=hidden//' */Makefile
%endif

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -Wall" \
	LDFLAGS="%{rpmcflags} %{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
    DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libv4l1.so.?
%attr(755,root,root) %{_libdir}/libv4l2.so.?
%attr(755,root,root) %{_libdir}/libv4lconvert.so.?
%dir %{_libdir}/libv4l
%attr(755,root,root) %{_libdir}/libv4l/v4l*.so
%attr(755,root,root) %{_libdir}/libv4l/ov511-decomp
%attr(755,root,root) %{_libdir}/libv4l/ov518-decomp

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libv4l1.so
%attr(755,root,root) %{_libdir}/libv4l2.so
%attr(755,root,root) %{_libdir}/libv4lconvert.so
%{_includedir}/libv4l1.h
%{_includedir}/libv4l2.h
%{_includedir}/libv4lconvert.h
%{_pkgconfigdir}/libv4l1.pc
%{_pkgconfigdir}/libv4l2.pc
%{_pkgconfigdir}/libv4lconvert.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libv4l.spec,v $
Revision 1.7  2010/07/12 22:45:09  cactus
- up to 0.6.4; lots of bugfixes, new source adress;

Revision 1.6  2010/01/20 00:37:02  sparky
- up to 0.6.1
- use __cc and rpm*flags
- explicit %files
- kill -fvisibility=hidden if building on Ac

Revision 1.5  2009/07/09 17:26:10  paszczus
- updated to 0.6.0

Revision 1.4  2009/06/14 14:46:26  cactus
- just make install and we have 2 more needed libs
- TODO: add LD_PRELOAD=%{_libdir}/libv4l/v4l1compat.so to skype etc. or sf

Revision 1.3  2009/06/13 18:33:33  cactus
- up to 0.5.99

Revision 1.2  2009/05/28 07:33:18  paszczus
- updated to 0.5.98

Revision 1.1  2009/05/28 07:13:35  paszczus
- initial
